Gem::Specification.new do |s|
  s.name        = 'rack-session-xfile'
  s.version     = File.read('lib/rack/session/xfile.rb')[/VERSION = '(.*)'/, 1]
  s.author      = 'Clint Pachl'
  s.email       = 'pachl@ecentryx.com'
  s.homepage    = 'https://ecentryx.com/gems/rack-session-xfile'
  s.license     = 'ISC'
  s.summary     = 'File-based session management with eXclusive R/W locking.'
  s.description = <<-EOS
A simple and reliable file-based session manager with eXclusive R/W locking.
Session data is updated atomically using mutex and file locks, making it
suitable for multi-threaded and multi-process applications.
  EOS
  s.files = Dir['Rakefile', 'README*', '*.gemspec', 'lib/**/*.rb', 'spec/*']
  s.test_files = Dir['spec/spec_*.rb']
  s.required_ruby_version = '>= 2.2'
  s.add_runtime_dependency 'rack', '~> 2.0'
  s.add_development_dependency 'bacon', '~> 1.2'
end
